Description

It would be good to add a wrapper for one-shot analyses to be done in GRASS and R. In GRASS, this means:

- load a raster with r.external

- generate a location based on it

- run the analysis

- output a tiff

- load the tiff on the canvas

Similar for vectors. Of course serious GRASS work must be done via the GRASS plugin, but this will make rather complex analyses

available also to non-GRASS aware people, providing a gentle introduction to it, and increasing the power of QGIS analyses.

History

#1 - 2010-02-12 06:29 AM - Redmine Admin

How GRASS is involved here? There is rgdal. Especially if you start with r.external, I don't see any reason it should be somehow linked to GRASS plugin.

It can be general tool either reading data directly from providers (better I think) or via gdal (rgdal).

#2 - 2010-02-12 06:33 AM - Paolo Cavallini

Sorry I was unclear. Many users find the location-mapset GRASS concept difficult to understand, and cumbersome for one-shot analyses.

The idea here is to hide this complexity by creating a location on the fly, running the analysis, exporting the result, and load it on the canvas.

In this way, one could use GRASS without knowing much about it.

#3 - 2011-03-04 09:27 AM - Paolo Cavallini

See more details in #3135

#4 - 2011-04-16 06:34 AM - Paolo Cavallini

Concerning on the fly GRASS locations, see this example of a simple implementation: http://grass.osgeo.org/wiki/GRASS_and_Sextante

#5 - 2011-04-16 09:06 AM - Markus Neteler
http://grass.osgeo.org/wiki/GRASS_and_Sextante


Sextance uses GRASS in a very efficient way, no need to understand GRASS' location-mapset concept. It creates a mapset on the fly and just runs the

analysis in a temporary session as indicated above. Works nicely in the gvSIG-OADE-Sextante-GRASS package which I indicated in the GRASS Wiki

page. It would be a BIG (and likely rather easy to implement) improvement of the QGIS-GRASS integration to use the same method. All pieces are likely

there.

#6 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2013-03-16 01:07 PM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to fixed

solved with sextante.
